psycopg2 (2.9.9-2.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 22:37:56 +0100

psycopg2 (2.9.9-2) unstable; urgency=medium

  * Team upload.
  * Fix build failure with Python 3.13 (closes: #1081431).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2024 22:37:56 +0100

psycopg2 (2.9.9-1) unstable; urgency=medium

  * New upstream version 2.9.9.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 16:21:37 +0000

psycopg2 (2.9.6-3) unstable; urgency=medium

  * Fix test_ssl_attribute test when compiled with and run against PG15, but
    when libpq5 is already PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 14:12:41 +0000

psycopg2 (2.9.6-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Christoph Berg ]
  * Disable test_ssl_attribute on PG16+.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 12:59:03 +0200

psycopg2 (2.9.6-1) experimental; urgency=medium

  * New upstream version 2.9.6.
  * debian/watch: Accept '.' in tag names.

 -- Christoph Berg <myon@debian.org>  Mon, 29 May 2023 11:11:37 +0200

psycopg2 (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jan 2023 21:28:29 +0100

psycopg2 (2.9.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.1.17-1.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:15:04 +0100

psycopg2 (2.9.4-1) unstable; urgency=medium

  * New upstream version 2.9.4.
  * Point watch file at GitHub tags instead of pypi.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 11:10:44 +0200

psycopg2 (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Aug 2022 10:08:12 +0200

psycopg2 (2.9.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-sphinx.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 19:36:39 +0100

psycopg2 (2.9.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Delete d/p/0002-failing-tests.patch: test passes on AMD64, need archive
      build to determine if there are any problematic archs anymore
    - Delete d/p/0004-Sphinx-workaround.patch and d/p/0005-Sphinx-no-spanning-
      cells.patch as doc build now succeeds without them

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Dec 2021 16:28:10 -0500

psycopg2 (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
    * Refresh patches
    * Remove 0002-Fix-use-of-async-in-tests-test_async_keyword.py-so-b.patch:
      upstream dropped tests/test_async_keyword.py
  * Remove *-dbg package (Closes: #994321)
  * Add :any to python3-dev-all build dependency and python3-all test
    dependency, per lintian hint
  * Update Standards-Version to 4.6.0; no changes necessary
  * Update debian/watch version to 4; no changes necessary
  * Add myself to uploaders

 -- Tomasz Rybak <serpent@debian.org>  Thu, 07 Oct 2021 21:53:53 +0200

psycopg2 (2.8.6-2) unstable; urgency=medium

  * Fix arch-indep build.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 16:35:54 +0100

psycopg2 (2.8.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psycopg2-dbg: Add Multi-Arch: same.

  [ Christoph Berg ]
  * New upstream version 2.8.6.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 13:52:54 +0100

psycopg2 (2.8.5-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Add d/patches/0007-Use-default-sphinx-theme.patch since 'better' theme
    used by upstream is not packaged in Debian

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Apr 2020 00:54:00 -0400

psycopg2 (2.8.4-2) unstable; urgency=medium

  * Drop python2 support (Closes: #937331)
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Mar 2020 18:46:53 -0500

psycopg2 (2.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
  * Add python/3-all and -all-dbg packages to autopkgtest depends so
    all supported versions are installed and tested (Closes: #943452)
    - Thanks to Steve Langasek for the patch
  * Check upstream gpg signature during download (d/watch and d/upstream/
    signing-key.asc)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Nov 2019 16:11:36 -0500

psycopg2 (2.8.3-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Disable testsuite on hurd-i386, it can't run PostgreSQL.

  [ You-Sheng Yang (楊有勝) ]
  * Honor DEB_BUILD_OPTIONS nocheck.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2019 09:17:25 +0200

psycopg2 (2.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Christoph Berg ]
  * New upstream release. (Closes: #928301)
  * Run wrap-and-sort -st.
  * Add debian/gitlab-ci.yml.
  * Add python{,3}-setuptools to build-dependencies.
  * Run regression tests at build time and autopkgtest via pg_virtualenv.
  * test_async_keyword.py patch: Use async_ instead of _async which is what
    the module uses as well.
  * Work around sphinx doc build problems by not including the NEWS file and
    sqlstate_errors.rst.
  * Add myself to Uploaders.

  [ Nicolas Dandrimont ]
  * Fail build when documentation build fails
  * Add building of (dynamic) documentation sources from upstream before
    building docs

 -- Christoph Berg <myon@debian.org>  Thu, 05 Sep 2019 13:47:25 +0200

psycopg2 (2.7.7-1) unstable; urgency=medium

  * Set hardening flags
  * New upstream release (Closes: #807336)
  * Don't include extra license file in docs
  * Update example file paths in debian/copyright
  * Ship examples in python-psycopg2-doc
  * Add multiarch metadata for the -doc package
  * Bump standards-version to 4.3.0 without further change
  * Do not build dbgsym packages since we have dbg (which are still needed for
    python packages)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Jan 2019 02:44:02 -0500

psycopg2 (2.7.6.1-3) unstable; urgency=medium

  * Restore pre-2.7.6.1-1 dbg package doc symlinks that were inadvertently
    dropped when debian/rules was refactored (Closes: #916309)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Dec 2018 23:06:21 -0500

psycopg2 (2.7.6.1-2) unstable; urgency=medium

  * Add debian/patches/0002-Fix-use-of-async-in-tests-
    test_async_keyword.py-so-b.patch to that bytecompilation works with
    python3.7 (Closes: #902715)
  * Add missing --with sphinxdoc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 18:42:49 -0500

psycopg2 (2.7.6.1-1) unstable; urgency=medium

  * New upstream release
    - Update debian/patches/0001-local_inventory.patch to match upstream
      changes
  * Bump standards-version to 4.2.1 without further change
  * Update debian/copyright
  * Modernize and simplify debian/rules to use pybuild

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 13:08:22 -0500

psycopg2 (2.7.5-2) unstable; urgency=medium

  * Team upload.
  * Do not install tests/test_async_keyword.py, incompatible with
    Python3.7 (Closes: #902715)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 02 Jul 2018 14:58:20 +0200

psycopg2 (2.7.5-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update Vcs-* to point at salsa.d.o
  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Adapt debian/patches/0001-local_inventory.patch for upstream changes
  * Switch to source format 3.0 (Quilt)
  * Remove ancient python build-depends version requirements

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jun 2018 02:25:34 -0400

psycopg2 (2.7.4-1) unstable; urgency=medium

  * New upstream release (Closes: #880651)
    - Drop d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch,
      incorporated upstream
  * Drop extra priority from -dbg packages
  * Update debian/watch to use secure URI
  * Clean up trailing whitespace in d/control and d/changelog
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Feb 2018 23:39:00 -0500

psycopg2 (2.7.3-2) unstable; urgency=medium

  * d/p/0002-Make-dbapi_extension.py-compatible-with-Sphinx-1.6.patch
    (Closes: #876931)
    - Thanks to Corey Bryant for forwarding the patch from Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jan 2018 00:30:11 -0500

psycopg2 (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.0.1 without further change
  * Update minimum versions in X-Python{3}-Version
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Aug 2017 00:34:30 -0400

psycopg2 (2.7.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches after git-dpm to gbp pq conversion

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jun 2017 18:47:09 -0400

psycopg2 (2.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Scott Kitterman ]
  * New upstream release
  * Remove uupdate from debian/watch as it doesn't make sense for a package
    maintained in git
  * Bump standards version to 3.9.8 without further change
  * Use default python3 build to generate documentation
  * Bump debhelper minimum version and compat to 9

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 16:26:11 -0400

psycopg2 (2.6.1-1) unstable; urgency=medium

  * New upstream release
    - Improve documentation regarding use of extensions.
      ISOLATION_LEVEL_AUTOCOMMIT (Closes: #768194)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 17:24:53 -0400

psycopg2 (2.6-2) unstable; urgency=medium

  * Upload to unstable
  * Build docs using python3 vice python
  * Add doc-base registration

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Apr 2015 11:04:31 -0400

psycopg2 (2.6-1) experimental; urgency=medium

  * New upstream release
    - Adapt debian/rules build-indep and binary targets  as well as
      python-psycopg2-doc.install for adjustments in upstream documentation
      build system
  * Add dh-python to build-depends
  * Update debian/watch to use the new pypi.debian.net redirector so that new
    releases are detected and to account for no longer needing to mangle the
    version since a +dfsg tarball is no longer required

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Feb 2015 18:53:58 -0500

psycopg2 (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack source tarball to remove minified javascript files
  * Swap DPMT to maintainer and add myself to uploaders
  * Drop obsolete and unused python:Provides
  * Add appropriate X-Python{3}-Version fields to debian/control
  * Bump standards version to 3.9.6 without further change
  * Install NEWS using dh_installchangelogs to install as upstream changelog
  * Update debian/copyright
  * Update debian/README.source list of files that need to be removed to
    create a DFSG free tarball
  * Drop obsolete python-psycopg2-doc breaks/replaces python-psycopg2-docs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Sep 2014 16:44:30 -0400

psycopg2 (2.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Correct python-psycopg2-doc install location (Closes: #686741)
  * Update debian/copyright
  * Repack source tarball to remove minified javascript files
    - Update debian/watch to unmangle upstream version

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 May 2014 15:38:51 -0400

psycopg2 (2.5.2-1) unstable; urgency=low

  * Team upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Update dh_installchangelogs rule from debian/rules since upstream no
      longer provides a changelog
    - Remove empty usr/lib/python3/dist-packages/psycopg2/tests dir in
      python3-psycopg2-dbg
  * Use python version independent paths in debian/patches/local_inventory
  * Remove ancient, unused files from debian dir
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Feb 2014 21:45:02 -0500

psycopg2 (2.4.5-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Apr 2012 10:23:45 -0400

psycopg2 (2.4.4-4) unstable; urgency=low

  * Team upload
  * Rename python-pyscopg2-docs to the more usual python-pyscopg2-doc
    - Not creating a transitional package due to the package only existing
      for a short period and never in a stable release
  * Fix typos in the last debian/changelog entry
  * Fix misspellings in package descriptions in debian/control
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Mar 2012 10:31:22 -0400

psycopg2 (2.4.4-3) unstable; urgency=low

  * Team upload
  * Fix debian/rules so python3-psycopg2-dbg so files are properly marked as
    debug versions (Closes: #658219)
  * Use local Python objects.inv instead of downloading from python.org
    - Add python-doc and python3-doc to Build-Depends-Indep
    - Add Quilt use to debian/rules and README.source
    - Add debian/patches/local_inventory

 -- Scott Kitterman <scott@kitterman.com>  Thu, 02 Feb 2012 09:04:44 -0500

psycopg2 (2.4.4-2) unstable; urgency=low

  * Team upload
  * Move python-egenix-mxdatetime from Depends to Recommends since support for
    it is now detected at runtime (Closes: #523414)
  * Add separate python-pyscopg2-docs package suggested by both python-psycopg2
    and python3-psycopg2 (only ship actual documentation in the binary and
    not the source to build the documentation)
    - Adjust debian/rules for an arch-indep package and python-sphinx
    - Rebuild html and text docs from source instead of shipping provided
      files
    - Add python-sphinx (>= 1.0.7+dfsg-1~) to build-depends and use
      sphinxdoc:Depends
    - Add debian/python-psycopg2-docs.install
  * Build packages for Python3 (Closes: #645906)
    - Add python3-psycopg2/-dbg to debian/control
    - Add python3-all-dev and python3-all-dbg to build-depends
    - Adjust debian/rules
  * Drop build-depends on autoconf (Closes: #589131)
  * Drop redundant build-depends on python (python-all-dev covers it)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Jan 2012 09:12:12 -0500

psycopg2 (2.4.4-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #607714)
    - Update debian/copyright
  * Add build-arch and build-indep targets to debian/rules
  * Adjust debian/rules so docmentation is not compressed (Closes: #589142),
    objects.inv is not compressed (Closes: #608745), and the upstream NEWS
    file is included in the package (Closes: #651835)
  * Exclude redundant COPYING files in the doc directory from being installed
  * Remove redundant Section: field from the python-psycopg2 entry in debian/
    control
  * Use dh_prep instead of deprecated dh_clean -k
  * Remove obsolete debian/pycompat file

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jan 2012 12:59:48 -0500

psycopg2 (2.4.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Debian Python Modules Team to Uploaders.

  [ Fabio Tranchitella ]
  * New upstream release.
  * debian/watch: updated, use pypi.
  * debian/control, debian/rules: switched to dh_python2.
  * debian/control: bumped Standard-Version to 3.9.2, no changes required.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 19 Jun 2011 18:25:53 +0000

psycopg2 (2.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #582823)
  * debian/control:
    - bumped Standards-Version to 3.9.0, no changes required.
    - removed the zope-psycopg2da binary package. (Closes: #583293)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 02 Jul 2010 15:04:19 +0200

psycopg2 (2.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.8.5, no changes required.

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 10 Apr 2010 10:32:45 +0200

psycopg2 (2.0.13-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add XB-Python-Version to python-psycopg2-dbg and zope-psycopgda2

  [ Fabio Tranchitella ]
  * Do not build anymore python-psycopg2da. (Closes: #558204)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 06 Jan 2010 15:36:39 +0100

psycopg2 (2.0.13-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Oct 2009 06:50:00 +0000

psycopg2 (2.0.12-1) unstable; urgency=low

  [ Fabio Tranchitella ]
  * New upstream release. (Closes: #536341, #528529)
  * debian/control: bumped Standard-Versions to 3.8.3, no changes required.

  [ Bernd Zeimetz ]
  * Make the build process compatible to Python2.6.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 27 Aug 2009 18:05:48 +0200

psycopg2 (2.0.9-5) unstable; urgency=low

  * debian/control: added dependency on python-egenix-mxdatetime.
    (Closes: #521338)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Mar 2009 16:05:49 +0100

psycopg2 (2.0.9-4) unstable; urgency=low

  * debian/rules: add again support for mx datetime. (Closes: #518948)
  * debian/control: new archive sections.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 18 Mar 2009 07:03:53 +0100

psycopg2 (2.0.9-3) unstable; urgency=low

  * debian/control: do not build against python-egenix-mx-base-dev anymore.
    (Closes: #518519)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 06 Mar 2009 20:42:04 +0100

psycopg2 (2.0.9-2) unstable; urgency=low

  * psycopg/psycopg.h: removed the patch. (Closes: #517895)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 06 Mar 2009 13:27:44 +0100

psycopg2 (2.0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #516887)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Feb 2009 17:38:13 +0100

psycopg2 (2.0.8-1) unstable; urgency=low

  [ Fabio Tranchitella ]
  [Carlos Galisteo]
  * debian/control
    - Added Homepage field.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Fabio Tranchitella ]
  * New upstream release. (Closes: #499880)
  * psycopg/psycopg.h: patched, fixed a typo. (Closes: #479571)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Nov 2008 21:05:04 +0100

psycopg2 (2.0.7-4) unstable; urgency=low

  * Rebuilt, this should fixes a dependency problem. (Closes: #485868)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 12 Jun 2008 09:42:55 +0200

psycopg2 (2.0.7-3) unstable; urgency=low

  * ZPsycopgDA/DA.py: updated the patch, which was out of sync with the
    upstream tarball.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 13 May 2008 17:22:30 +0200

psycopg2 (2.0.7-2) unstable; urgency=medium

  * ZPsycopgDA/DA.py: updated the patch. (Closes: #478860)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 01 May 2008 17:43:54 +0200

psycopg2 (2.0.7-1) unstable; urgency=low

  * New upstream release. (Closes: #476101)
  * debian/control: bumped Standard-Versions to 3.7.3.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 15 Apr 2008 10:05:51 +0200

psycopg2 (2.0.6-4) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Fabio Tranchitella ]
  * Provides a encoding parameter when adding a ZPsycopgDA instance using the
    ZMI. (Closes: #475123)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 09 Apr 2008 19:51:10 +0200

psycopg2 (2.0.6-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * Vcs-Browser field added

  [ Fabio Tranchitella ]
  * Mention DB-API 2.0 compatibility in the long description.
    (Closes: #430763)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Nov 2007 15:07:05 +0100

psycopg2 (2.0.6-2) unstable; urgency=low

  * Build a python-psycopg-dbg package

 -- Scott Kitterman <scott@kitterman.com>  Tue, 03 Jul 2007 16:55:48 -0400

psycopg2 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * psycopg2da: removed, merged upstream.

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 09 Jun 2007 22:38:23 +0200

psycopg2 (2.0.5.1-7) UNRELEASED; urgency=low

  * debian/watch: added.

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  9 Feb 2007 12:35:55 +0100

psycopg2 (2.0.5.1-6) unstable; urgency=high

  * debian/zope-psycopgda2.dzproduct: requires Zope 2.9 or higher: previous
    versions use python2.3 which is not supported anymore in psycopg.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 15 Jan 2007 11:39:15 +0100

psycopg2 (2.0.5.1-5) unstable; urgency=medium

  * Do not run dh_pycentral on zope-psycopgda2. (Closes: #400846)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 29 Nov 2006 09:04:09 +0100

psycopg2 (2.0.5.1-4) unstable; urgency=medium

  * Fixed a bug in psycopg2da.
  * debian/control: bumped build-dependency on zope-debhelper.
  * Added XS-Vcs-Svn field

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 24 Nov 2006 13:50:11 +0100

psycopg2 (2.0.5.1-3) unstable; urgency=low

  * psycopgda: imported upstream psycopg2da database adapter from SVN, which
    builds a new binary package, python-psycopg2da.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 10 Nov 2006 08:56:05 +0100

psycopg2 (2.0.5.1-2) unstable; urgency=low

  * debian/control: added again a dependency on python-egenix-mxdatetime.
    (Closes: #389636)

 -- Fabio Tranchitella <kobold@debian.org>  Tue,  3 Oct 2006 10:25:22 +0200

psycopg2 (2.0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 19 Sep 2006 08:22:36 +0200

psycopg2 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + removed dependency on python-egenix-mxdatetime.
    + added ${shlibs:Depends} for the python-psycopg2 package.
    (Closes: #381462)

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  9 Aug 2006 10:28:30 +0200

psycopg2 (2.0.2-1) unstable; urgency=low

  * New upstream major release, new source package. (Closes: #377956)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 16 Jul 2006 21:43:41 +0200

psycopg (1.1.21-8) unstable; urgency=low

  * debian/zope-psycopgda.dzproduct: added 2.9 to the list of supported
    zope versions. (Closes: #376538)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 14 Jul 2006 10:19:54 +0200

psycopg (1.1.21-7) unstable; urgency=low

  * Moved dh_installzope within an arch-indep target. (Closes: #373842)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 16 Jun 2006 09:37:23 +0200

psycopg (1.1.21-6) unstable; urgency=low

  * Python policy transition. (Closes: #373482)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 15 Jun 2006 19:09:36 +0200

psycopg (1.1.21-5) unstable; urgency=high

  * ypemod.c, new_psyco_bufferobject():
    - Escape quotes psycopg.Binary() results as '', not as \', since the
      latter does not work any more with some client encodings with the latest
      PostgreSQL (in some multi-byte encodings you can exploit \' escaping to
      inject SQL code, see CVE-2006-2314). (Closes: #369230)
      Thanks to Martin Pitt and Ubuntu security team for the patch.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 30 May 2006 22:15:06 +0200

psycopg (1.1.21-4) unstable; urgency=low

  * debian/rules: remove *.o in the clean target. (Closes: #352835)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 16 Feb 2006 12:06:53 +0000

psycopg (1.1.21-3) unstable; urgency=low

  * debian/control: removed build-dependency on postgresql-server-dev-8.0,
    as suggested by Martin Pitt. (Closes: #339640)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 18 Nov 2005 08:44:26 +0000

psycopg (1.1.21-2) unstable; urgency=low

  * debian/control: zope-psycopgda should depend on the same version of the
    psycopg python module. (Closes: #336765)

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  2 Nov 2005 12:07:33 +0000

psycopg (1.1.21-1) unstable; urgency=low

  * New maintainer; Thanks Federico for your work, and be sure that I'll
    take care of this package.
  * New upstream release (Closes: #321592, #320618, #333638)
  * debian/python2.4-psycopg.dirs: added.  (Closes: #319509, #329115)
  * debian/control: dropped support for python2.1 and
    python2.2. (Closes: #333639)
  * debian/control: Standards-Version bumped to 3.6.2, no changes required.
  * debian/rules: make use of dh_installzope from zope-debhelper to build the
    zope-psycopgda package.
    (Closes: #158669, #323599, #268975, #292247, #327415)
  * debian/control: added build-depends on postgresql-server-dev-8.0.
    (Closes: #333638)
  * Re-packaged upstream tarball replacing some broken images.
    (Closes: #292008, #305392)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Oct 2005 11:24:37 +0000

psycopg (1.1.19-1) unstable; urgency=low

  * New upstream release.
  * Applied patch from Martin Krafft to build Zope 2.7 packages.
  * Modified to use the new PostgreSQL packages.
  * Added python 2.4 package (Closes: #301403).
  * Upstream applied various Ubuntu patches (Closes: #301947, #300893).

 -- Federico Di Gregorio <fog@debian.org>  Sat, 16 Jul 2005 20:47:08 +0200

psycopg (1.1.18-1) unstable; urgency=low

  * New upstream release.
  * 1.1.16 fixed rowcount bug (closes: #266299).

 -- Federico Di Gregorio <fog@debian.org>  Wed,  5 Jan 2005 21:05:15 +0100

psycopg (1.1.17-1) unstable; urgency=high

  * Urgency is still high because 1.1.16 was never uploaded.
  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 19 Nov 2004 01:14:30 +0200

psycopg (1.1.16-1) unstable; urgency=high

  * New upstream release.
  * Tagged with urgency=high because fix a grave bug (rowcount) introduced
    in 1.1.15.
  * Upstream fix: does not segfault when using COPY TO/COPY FROM in
    .execute() (closes: #279222).

 -- Federico Di Gregorio <fog@debian.org>  Sat, 30 Oct 2004 02:35:30 +0200

psycopg (1.1.15-1) unstable; urgency=low

  * New upstream release.
  * Definitely fixed (ah ah) time interval problems (closes: #259213).

 -- Federico Di Gregorio <fog@initd.org>  Thu, 29 Jul 2004 23:43:59 +0200

psycopg (1.1.14-1) unstable; urgency=low

  * New upstream release.
  * Don't put two copies of changelog in every package anymore
    (closes: #256662).
  * Updated test script works as expected (closes: #231391).
  * Changes from NMU incorporated in 1.1.12:
    - zpsycopgda depends on python2.2-psycopg  (closes: #227420, #227147).
    - compiled with postgresql in unstable (close: #220527).

 -- Federico Di Gregorio <fog@initd.org>  Fri,  9 Jul 2004 23:01:40 +0200

psycopg (1.1.13-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 21 May 2004 10:33:54 +0200

psycopg (1.1.12-1) unstable; urgency=low

  * New upstream release (the "martin you won't have this package"
    release.)
  * Integrated changes from NMU releases.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 16 May 2004 10:14:47 +0200

psycopg (1.1.10-1.2) unstable; urgency=low

  * Non-maintainer upload. Thinking about taking this package over...
  * Changed dependency on pyscopgda Python module to Python version 2.2.
    (closes: #227147, #227420)
  * Added Lintian overrides for image-in-/usr/lib warnings -- Zope needs
    these images...

 -- martin f. krafft <madduck@debian.org>  Thu, 15 Apr 2004 23:30:40 +0200

psycopg (1.1.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No changes - this upload is simply a rebuild against the current unstable
    instead of experimental postgresql-dev.
    (closes: #219927, #220141, #220173, #220527)

 -- Peter Hawkins <peterh@debian.org>  Sun, 28 Dec 2003 10:57:30 +1100

psycopg (1.1.10-1) unstable; urgency=low

  * Added download location to debian/copyright file (Closes: #215880).

 -- Federico Di Gregorio <fog@initd.org>  Sat,  8 Nov 2003 23:32:40 +0100

psycopg (1.1.9-1) unstable; urgency=low

  * New upstream release.
  * Bug was agains an old 1.0.x version of psycopg (Closes: #208702).

 -- Federico Di Gregorio <fog@initd.org>  Wed, 10 Sep 2003 13:04:42 +0200

psycopg (1.1.8-1) unstable; urgency=low

  * New upstream release.
  * Integrated NMU from Matthias Klose (closes: #205746).

 -- Federico Di Gregorio <fog@debian.org>  Fri,  1 Aug 2003 11:50:57 +0200

psycopg (1.1.5.1-1.1) unstable; urgency=low

  * NMU
  * Update for python2.3 as the default python version (closes: #205746).

 -- Matthias Klose <doko@debian.org>  Fri, 22 Aug 2003 00:02:25 +0200

psycopg (1.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 26 Jul 2003 15:03:39 +0200

psycopg (1.1.6-1) unstable; urgency=low

  * New upstream release.
  * Upstream applied patch from BTS (Closes: #200161).

 -- Federico Di Gregorio <fog@initd.org>  Sun, 13 Jul 2003 23:36:04 +0200

psycopg (1.1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@initd.org>  Mon, 23 Jun 2003 00:37:33 +0200

psycopg (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@initd.org>  Sun, 22 Jun 2003 21:30:01 +0200

psycopg (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Wed,  7 May 2003 15:21:31 +0200

psycopg (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Changed section in debian/control (-> python).

 -- Federico Di Gregorio <fog@debian.org>  Wed,  2 Apr 2003 10:33:36 +0200

psycopg (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Started to track the 1.1.x branch.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 25 Feb 2003 01:06:08 +0100

psycopg (1.0.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 14 Feb 2003 16:09:50 +0100

psycopg (1.0.15-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 12 Feb 2003 23:49:51 +0100

psycopg (1.0.14-1) unstable; urgency=low

  * Applied patch from John Goerzen to fix memory leak in executemany()
    and callproc() (Closes: #169284).
  * New upstream release (Closes: #170297).

 -- Federico Di Gregorio <fog@debian.org>  Mon, 25 Nov 2002 16:50:37 +0100

psycopg (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * Python 2.3 package added (Closes: #160831)
  * IntegrityError raised when needed (upstream, Closes: #165791)
  * Packages are lintian clean again.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 25 Oct 2002 11:54:19 +0200

psycopg (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * Fixed wrong url in RELEASE-1.0. (Closes: #153840)

 -- Federico Di Gregorio <fog@debian.org>  Fri, 13 Sep 2002 13:16:36 +0200

psycopg (1.0.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 26 Aug 2002 10:41:54 +0200

psycopg (1.0.11-1) unstable; urgency=low

  * New upstream release.
  * The dummy python-psycopg package now depends on the new default debian
    python (2.2) and on python2.2-psycopg.
  * Removed support for python 1.5 (support for 2.3 has to wait for egenix
    packages.)

 -- Federico Di Gregorio <fog@debian.org>  Fri, 23 Aug 2002 11:25:01 +0200

psycopg (1.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@initd.org>  Mon, 22 Jul 2002 02:04:59 +0200

psycopg (1.0.9-1) unstable; urgency=low

  * Resolved section override (main->interpreters).
  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Thu, 20 Jun 2002 14:00:42 +0200

psycopg (1.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 23 Apr 2002 22:42:22 +0200

psycopg (1.0.7.1-2) unstable; urgency=low

  * Moved to main.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 19 Apr 2002 10:06:58 +0200

psycopg (1.0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed a bug in ./configure; closes: #141774.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  8 Apr 2002 18:54:24 +0200

psycopg (1.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 29 Mar 2002 14:24:45 +0100

psycopg (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Builds with new libpq libraries and header layout.

 -- Federico Di Gregorio <fog@debian.org>  Thu,  7 Mar 2002 11:59:40 +0100

psycopg (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  4 Mar 2002 14:43:13 +0100

psycopg (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 20 Feb 2002 20:37:16 +0100

psycopg (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Fri,  8 Feb 2002 15:17:44 +0100

psycopg (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Added package for python2.2 (Closes: #132650).

 -- Federico Di Gregorio <fog@debian.org>  Fri,  8 Feb 2002 00:45:07 +0100

psycopg (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 20 Jan 2002 18:27:22 +0100

psycopg (1.0-4) unstable; urgency=low

  * Added build depend on plain python, to really close the %£$! #121229
    bug this time (Closes: #121229).

 -- Federico Di Gregorio <fog@debian.org>  Wed, 28 Nov 2001 10:50:06 +0100

psycopg (1.0-3) unstable; urgency=low

  * Added explicit build depends on python 1.5 & 2.1 (Closes: #121229).
  * Fixed bad dependency on python1.5-egenix-mxdatetime.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 26 Nov 2001 17:18:41 +0100

psycopg (1.0-2) unstable; urgency=low

  * Fixed dependencies as per python policy.
  * Added default, unversioned psycopg package (python-psycopg).
  * Added non-US/main and rebuilt after REJECT.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 16 Nov 2001 01:14:54 +0100

psycopg (1.0-1) unstable; urgency=low

  * New upstream release. 1.0!
  * Now we build versioned packages for python 1.5 and 2.1.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 13 Nov 2001 19:24:39 +0100

psycopg (0.99.7-1) unstable; urgency=low

  * New upstream release fixing some little bugs.
  * This version requires the mx DateTime packages that are not yet in
    debian... waiting for them I'll distribute both psycopg and unofficial
    packages on the initd psycopg page.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 18 Sep 2001 23:28:51 +0200

psycopg (0.99.6-2) unstable; urgency=low

  * Added suggested build-depends (Closes: #112112).
  * Applied patch by Michael Weber to configure.in, to look for a compiler
    (Closes: #112024).

 -- Federico Di Gregorio <fog@debian.org>  Thu, 13 Sep 2001 10:49:37 +0200

psycopg (0.99.6-1) unstable; urgency=low

  * Added Build-depends line (Closes: #89798).
  * Now zope-psycopgda requires python-psycopg, zope on debian still runs
    with python 1.x only (Closes: #108890).
  * Moved package to non-US (psycopg depends on postgresql that is in
    non-US, sic).

 -- Federico Di Gregorio <fog@debian.org>  Mon,  3 Sep 2001 13:02:11 +0200

psycopg (0.99.5-1) unstable; urgency=low

  * New upstream release with bound variables quoting (Closes: #102843).
  * The build process set the correct path to DateTime module
    (Closes: #102838).
  * Removes .pyc files in prerm (Closes: #104382)

 -- Federico Di Gregorio <fog@debian.org>  Thu, 12 Jul 2001 12:56:38 +0200

psycopg (0.99.4-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  2 Jul 2001 15:33:29 +0200

psycopg (0.99.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Wed, 20 Jun 2001 12:55:47 +0200

psycopg (0.99.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Tue,  5 Jun 2001 15:37:50 +0200

psycopg (0.99.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Tue,  5 Jun 2001 12:46:18 +0200

psycopg (0.5.5-1) unstable; urgency=low

  * New upstream release (ok, *we* are the upstream authors, but after
    putting the -1 in the version i am supposed to say "new upstream
    version" when the non-debian versions changes, right? ouch...)

 -- Federico Di Gregorio <fog@debian.org>  Fri,  1 Jun 2001 17:18:52 +0200

psycopg (0.5.4-1) unstable; urgency=low

  * Another bugfixing release.
  * Added debian revision to be able to release multiple versions with the
    same upstream version.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 18 May 2001 19:32:59 +0200

psycopg (0.5.3) unstable; urgency=low

  * Some bugs fixed, new release.

 -- Federico Di Gregorio <fog@debian.org>  Fri,  4 May 2001 16:19:09 +0200

psycopg (0.5.2) unstable; urgency=low

  * New bugfixing release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 27 Apr 2001 09:52:16 +0200

psycopg (0.5.1) unstable; urgency=low

  * New bugfixing release.

 -- Federico Di Gregorio <fog@debian.org>  Tue,  3 Apr 2001 11:13:26 +0200

psycopg (0.5.0) unstable; urgency=low

  * New release.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 30 Mar 2001 12:54:42 +0200

psycopg (0.4.7) unstable; urgency=low

  * New release.
  * Lots of small bug fixes (see detailed ChangeLog.)
  * Includes beginning of DBAPI-2.0 testsuite.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 16 Mar 2001 18:29:03 +0100

psycopg (0.4.6) unstable; urgency=low

  * New release.
  * Fixed a little bug in debian/rules (does not create an examples
    directory inside examples.)

 -- Federico Di Gregorio <fog@debian.org>  Wed, 14 Mar 2001 01:00:26 +0100

psycopg (0.4.5) unstable; urgency=low

  * New upstream (mmm... but one of the upstream authors it is
    *me*... mmm...) release.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 12 Mar 2001 11:41:42 +0100

psycopg (0.4.4) unstable; urgency=low

  * New release.
  * Fixed Sections in debian/control.

 -- Federico Di Gregorio <fog@debian.org>  Fri,  9 Mar 2001 10:11:02 +0100

psycopg (0.4.3) unstable; urgency=low

  * New release.
  * Fixed typo in connectionAdd.dtml (Closes: #88817)

 -- Federico Di Gregorio <fog@debian.org>  Wed,  7 Mar 2001 15:54:35 +0100

psycopg (0.4.2) unstable; urgency=low

  * New release (fixes bugs in ZPsycopgDA.)

 -- Federico Di Gregorio <fog@debian.org>  Mon,  5 Mar 2001 13:33:39 +0100

psycopg (0.4.1) unstable; urgency=low

  * New release.
  * we now create packages for both versions of python in debian
  (1.5 and 2.0, packages python-* and python2-*)

 -- Federico Di Gregorio <fog@debian.org>  Fri,  2 Mar 2001 12:10:52 +0100

psycopg (0.4) unstable; urgency=low

  * News release.
  * Now debian/rules build the Zope Database Adapter zope-psycopgda too.
  * Source name changed from python-psycopg to psycopg.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 27 Feb 2001 15:11:04 +0100

python-psycopg (0.3) unstable; urgency=low

  * New release. Tons of bugs fixed and new features, see ChangeLog for
    details.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 26 Feb 2001 21:22:23 +0100

python-psycopg (0.2) unstable; urgency=low

  * New release. Fixed lots of bugs and memory leaks.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 16 Feb 2001 11:04:17 +0100

python-psycopg (0.1) unstable; urgency=low

  * Initial release.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 12 Feb 2001 14:46:53 +0100
